nz-card.ryax-action-details-card([nzTitle]="titleTemplate", [nzExtra]="extraTemplate", [nzBodyStyle]="{ padding: 0, display: 'flex', 'align-items': 'center' }")
  nz-collapse([nzGhost]="true", nz-row)
    nz-collapse-panel([nzDisabled]="true", [nzShowArrow]="false", [nzActive]="showDetails")
      //.ryax-execution-details
      //  h4 INPUTS
      //  ryax-module-execution-ios([data]="actionDetails.inputs")
      //  h4 OUTPUTS
      //  ryax-module-execution-ios([data]="actionDetails.outputs")
      //    nz-collapse(*ngIf="(this.index == 0)", nz-row, [nzGhost]="true")
      //      nz-collapse-panel.ryax-logs([nzHeader]="logsHeader", (nzActiveChange)="showLogsChange()", [nzActive]="showLogs")
      ryax-console-display([textContent]="logs", [loading]="true")

ng-template(#titleTemplate)
  .ryax-card-content
    .ryax-module-icon
      img([src]="'/api/studio/static/logo/' + actionDetails.definitionId")
    div
      p.ryax-card-title {{ actionDetails.name }}
      span.ryax-card-version {{ actionDetails.version }}
      p.ryax-card-description {{ actionDetails.description }}

ng-template(#extraTemplate)
  a.ryax-details((click)="toggleDetails()") {{ showDetails ? 'Hide' : 'View' }} logs

